> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/rest-api/misc-custom-and-legacy-endpoints/derivatives-contract-details-v3.md).

# Derivatives contract details V3

## What is this endpoint for?

This endpoint provides details of the contracts, including base asset, quote asset, contract size, contract size unit, listing\_timestamp, expiry, strike price, and underlying index.

This is a new beta endpoint only supporting the following Exchanges:

* Binance, BitMEX, Bybit, Deribit, and Okex.

### Endpoint

```
https://<eu|us>.market-api.kaiko.io/v3/data/derivatives/reference
```

### Path parameters

| Parameter | Required? | Example                       |
| --------- | --------- | ----------------------------- |
| `region`  | Yes       | Choose between `eu` and `us`. |

### Query parameters

<table><thead><tr><th width="163">Parameter</th><th width="98">Required</th><th>Description</th><th>Example</th></tr></thead><tbody><tr><td><code>exchange</code></td><td>Yes</td><td>Should be one of the exchanges currently supported.</td><td><code>okex</code></td></tr><tr><td><code>instrument_class</code></td><td>Yes</td><td><code>future</code>, <code>perpetual-future</code>,  <code>option</code>, <code>future_combo</code> or <code>option_combo</code></td><td><code>future</code></td></tr><tr><td><code>contract_type</code></td><td>No</td><td><code>linear</code>, <code>inverse</code>, or <code>quanto</code><br>If not used, <em>all</em> per default<br>For finding either the Linear or Inverse contracts.</td><td><code>linear</code></td></tr><tr><td><code>instrument</code></td><td>No</td><td>Instrument <code>code</code>. (<code>kaiko_legacy_code</code>)<br><br>See <a data-mention href="/pages/8ywkQXfxfv1FjtyspEaU">/pages/8ywkQXfxfv1FjtyspEaU</a></td><td><code>ethusd220624</code>, <code>btc*220624</code>, <code>*usdt</code>, <code>btc*may22*</code></td></tr><tr><td><code>base_assets</code></td><td>No</td><td>For finding the instruments with the certain base asset</td><td><code>btc</code>, <code>eth</code></td></tr><tr><td><code>quote_assets</code></td><td>No</td><td>For finding the instruments with the certain quote asset</td><td><code>usd</code>, <code>usdt</code></td></tr><tr><td><code>option_type</code></td><td>No</td><td><code>option</code> only. For finding either only the call options or put options</td><td><code>C</code>, <code>P</code></td></tr><tr><td><code>min_strike</code></td><td>No</td><td><code>option</code> only. Used to retrieve options whose strike price is above this minimum value (exclusive/inclusive)</td><td><code>10000</code></td></tr><tr><td><code>max_strike</code></td><td>No</td><td><code>option</code> only. Used to retrieve options whose strike price is below this maximum value (exclusive/inclusive)</td><td><code>90000</code></td></tr><tr><td><code>start_time</code></td><td>No</td><td><code>future</code> &#x26; <code>option</code> only. Used to retrieve futures and options that expire after this date and time (inclusive)</td><td><code>2022-06-23T00:01:00.000Z</code></td></tr><tr><td><code>end_time</code></td><td>No</td><td><code>future</code> &#x26; <code>option</code> only. Used to retrieve futures and options that are listed before this date and time (exclusive)</td><td><code>2022-06-25T23:59:00.000Z</code></td></tr><tr><td><code>page_size</code></td><td>No</td><td>Number of snapshots to return data for. (default: 1000, min: 1, max: 10000). <br><br>See <a data-mention href="/pages/mP3amLsYqKTsrRBoblxX">/pages/mP3amLsYqKTsrRBoblxX</a></td><td><code>500</code></td></tr></tbody></table>

### Fields: Perpetual-Future

| Field                    | Description                                                                                                                     | Example                |
| ------------------------ | ------------------------------------------------------------------------------------------------------------------------------- | ---------------------- |
| `exchange`               | The exchange where the specified instrument is being traded                                                                     | `drbt`                 |
| `instrument_class`       | Shows the specified instrument class.                                                                                           | `perpetual-future`     |
| `instrument`             | The specified instrument                                                                                                        | `btc-usd`              |
| `base`                   | The base asset of the instrument                                                                                                | `btc`                  |
| `quote`                  | The unit in which the instrument is quoted                                                                                      | `usd`                  |
| `settle_currency`        | Currency used for settlement                                                                                                    | `btc`                  |
| `settle_method`          | Always `cash` (for future use)                                                                                                  | `cash`                 |
| `contract_type`          | Type of the contract                                                                                                            | `inverse`              |
| `contract_periodicity`   | Possible values: `perpetual`                                                                                                    | `perpetual`            |
| `contract_size`          | Size of the contract                                                                                                            | `10`                   |
| `contract_size_unit`     | Unit in which contract is denominated                                                                                           | `usd`                  |
| `contract_multiplier`    |                                                                                                                                 | `1`                    |
| `listing_timestamp`      | (UTC) Date listed by exchange                                                                                                   | `2018-09-14T10:24:47Z` |
| `funding_rate_frequency` | Interval at which the funding rate is calculated (paid) for payoff.                                                             | `8h`                   |
| `status`                 | <p>Status of the Derivative Contract. Possible values:<br><code>listed</code>, <code>tradable</code>, <code>delisted</code></p> | `tradable`             |
| `last_updated`           | Date and time of the last update.                                                                                               | `2018-09-21T10:20:00Z` |

### Fields: Future

| Field                  | Description                                                                                                                                           | Example                |
| ---------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------- |
| `exchange`             | The exchange where the specified instrument is being traded                                                                                           | `drbt`                 |
| `instrument_class`     | Shows the specified instrument class.                                                                                                                 | `future`               |
| `instrument`           | The specified instrument                                                                                                                              | `btcusdc29may26`       |
| `base`                 | The base asset of the instrument                                                                                                                      | `btc`                  |
| `quote`                | The unit in which the instrument is quoted                                                                                                            | `usdc`                 |
| `settle_currency`      | Currency used for settlement                                                                                                                          | `usdc`                 |
| `settle_timestamp`     | Date and time of the settlement if provided by the Exchange (`expiry` per default)                                                                    | `2026-03-31T08:00:00Z` |
| `settle_method`        | For future use. Default = `cash`                                                                                                                      | `cash`                 |
| `contract_type`        | Type of the contract                                                                                                                                  | `linear`               |
| `contract_periodicity` | Possible values: `daily`, `monthly`, `quarterly`                                                                                                      | `monthly`              |
| `contract_size`        | Size of the contract                                                                                                                                  | `0.0001`               |
| `contract_size_unit`   | Unit in which contract is denominated                                                                                                                 | `btc`                  |
| `contract_multiplier`  |                                                                                                                                                       | `1`                    |
| `listing_timestamp`    | The timestamp (UTC) when the contract is listed on the exchange                                                                                       | `2026-03-31T10:43:48Z` |
| `expiry`               | Expiration date of the contract                                                                                                                       | `2026-03-31T08:00:00Z` |
| `status`               | <p>Status of the Derivative Contract. Possible values:<br><code>listed</code>, <code>tradable</code>, <code>expired</code>, <code>delisted</code></p> | `delisted`             |
| `last_updated`         | Date and time of the last update.                                                                                                                     | `2026-03-31T11:01:20Z` |

### Fields: Option

| Field                  | Description                                                                                                                                           | Example                |
| ---------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------- |
| `exchange`             | The exchange where the specified instrument is being traded                                                                                           | `drbt`                 |
| `instrument_class`     | Shows wether the specified instrument is                                                                                                              | `option`               |
| `instrument`           | The specified instrument                                                                                                                              | `btcusdc21jan2686000c` |
| `base`                 | The base asset of the instrument                                                                                                                      | `btc`                  |
| `quote`                | The unit in which the instrument is quoted                                                                                                            | `usdc`                 |
| `settle_currency`      | Currency used for settlement                                                                                                                          | `usdc`                 |
| `settle_timestamp`     | Date and time of the settlement if provided by the Exchange (`expiry` per default)                                                                    | `2026-01-20T08:00:00Z` |
| `settle_method`        | Always `cash` (for future use)                                                                                                                        | `cash`                 |
| `contract_type`        | Type of the contract                                                                                                                                  | `linear`               |
| `contract_periodicity` | Possible values: `daily`, `monthly`, `quarterly`                                                                                                      | `daily`                |
| `contract_size`        | Size of the contract                                                                                                                                  | `1`                    |
| `contract_size_unit`   | Unit in which contract is denominated                                                                                                                 | `btc`                  |
| `contract_multiplier`  |                                                                                                                                                       | `1`                    |
| `listing_timestamp`    | The (UTC) timestamp when a certain option instrument is listed on the exchange                                                                        | `2026-01-20T15:09:00Z` |
| `expiry`               | Expiration (UTC) date of the contract                                                                                                                 | `2026-01-20T08:00:00Z` |
| `strike_price`         | The strike price of the contract in USD.                                                                                                              | `30000`                |
| `kind`                 | <p>It explains what the option does, the direction of the right.<br>Note: it reflects the <code>option\_type</code> from the Query parameters.</p>    | `call`                 |
| `option_type`          | This defines when the option can be exercised. In other words, it is the exercise period. `european` `american`                                       | `european`             |
| `underlying_type`      | For future use. Default = `index`                                                                                                                     | `index`                |
| `underlying_index`     | Name of the underlying asset                                                                                                                          | `btc_usdc`             |
| `status`               | <p>Status of the Derivative Contract. Possible values:<br><code>listed</code>, <code>tradable</code>, <code>expired</code>, <code>delisted</code></p> | `expired`              |
| `last_updated`         | Date and time of the last update.                                                                                                                     | `2026-01-20T15:09:00Z` |

### Fields: future\_combo & option\_combo

| Field                  | Description                                                                                                                                           | Example                  |
| ---------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------ |
| `exchange`             | The exchange where the specified instrument is being traded                                                                                           | `drbt`                   |
| `instrument_class`     | Shows wether the specified instrument is                                                                                                              | `option_combo`           |
| `instrument`           | The specified instrument                                                                                                                              | `btcps27mar263000020000` |
| `base`                 | The base asset of the instrument                                                                                                                      | `btc`                    |
| `quote`                | The unit in which the instrument is quoted                                                                                                            | `usdc`                   |
| `settle_currency`      | Currency used for settlement                                                                                                                          | `usdc`                   |
| `settle_timestamp`     | Date and time of the settlement if provided by the Exchange (`expiry` per default)                                                                    | `2026-01-20T08:00:00Z`   |
| `settle_method`        | Always `cash` (for future use)                                                                                                                        | `cash`                   |
| `contract_type`        | Type of the contract                                                                                                                                  | `linear`                 |
| `contract_periodicity` | Possible values: `daily`, `monthly`, `quarterly`                                                                                                      | `daily`                  |
| `contract_size`        | Size of the contract                                                                                                                                  | `1`                      |
| `contract_size_unit`   | Unit in which contract is denominated                                                                                                                 | `btc`                    |
| `contract_multiplier`  |                                                                                                                                                       |                          |
| `listing_timestamp`    | The (UTC) timestamp when a certain option instrument is listed on the exchange                                                                        | `2026-02-05T23:08:33Z`   |
| `expiry`               | Expiration (UTC) date of the contract. The `expiry` should be the latest in time from the various legs.                                               | `2026-03-27T08:00:00Z`   |
| `underlying_type`      | For future use. Default = `index`                                                                                                                     | `index`                  |
| `underlying_index`     | Name of the underlying asset                                                                                                                          | `btc_usdc`               |
| `combo_type`           | type of the combo (strategy)                                                                                                                          | `straddle`               |
| `leg_symbol`           | Exchange contract (instrument) related to the leg                                                                                                     | `BTC-27MAR26-30000-P`    |
| `leg_side`             | Side of the leg `buy` or `sell`                                                                                                                       | `buy`                    |
| `leg_multiplier`       | Number of contract in involved in the related leg.                                                                                                    | `1`                      |
| `status`               | <p>Status of the Derivative Contract. Possible values:<br><code>listed</code>, <code>tradable</code>, <code>expired</code>, <code>delisted</code></p> | `expired`                |
| `last_updated`         | Date and time of the last update.                                                                                                                     | `2026-01-20T15:09:00Z`   |

### Request example

*Not the final Url.*&#x20;

{% tabs %}
{% tab title="cURL" %}

````
curl --compressed -H 'Accept: application/json' -H 'X-Api-Key: <client-api-key>' \
'https://us.market-api.kaiko.io/https://nicole-preprod.k8s.kaiko.ovh/v3/data/derivatives/reference?exchange=drbt&instrument_class=perpetual-future&base_assets=btc&quote_assets=usd&page_size=50'```python
````

{% endtab %}

{% tab title="Tab 2" %}

{% endtab %}
{% endtabs %}

### Reponse example

Depending on the Instrument class.

{% tabs %}
{% tab title="Perpetual-future" %}

```json
{
    "result": "success",
    "time": "2026-05-22T14:23:32Z",
    "timestamp": 1779459812625,
    "query": {
        "base_assets": "btc",
        "contract_type": "",
        "end_time": "0001-01-01T00:00:00Z",
        "exchange": "drbt",
        "instrument_class": "perpetual-future",
        "max_strike": "0",
        "min_strike": "0",
        "offset": "0",
        "option_type": "",
        "page_size": "1",
        "request_time": "2026-05-22T14:23:32.25632683Z",
        "start_time": "0001-01-01T00:00:00Z"
    },
    "data": [
        {
            "exchange": "drbt",
            "instrument_class": "perpetual-future",
            "instrument": "btc-usd",
            "metadata": null,
            "contract_details": {
                "base": "btc",
                "quote": "usd",
                "settle_method": "cash",
                "settle_timestamp": null,
                "settle_currency": "btc",
                "contract_type": "inverse",
                "contract_periodicity": "perpetual",
                "contract_size": "10",
                "contract_size_unit": "usd",
                "contract_multiplier": "1",
                "funding_rate_frequency": "8h",
                "listing_timestamp": "2018-08-14T10:24:47Z",
                "underlying_type": "index",
                "underlying_index": "btc_usd"
            },
            "status_details": {
                "status": "tradable",
                "last_updated": "2026-03-19T14:02:01Z",
                "created_at": "2026-03-19T14:02:01Z"
            }
        }
    ],
    "continuation_token": "2jtw7jtDEqGviMXUbzCyPMYCregKKZdhgxaB9DNJkoUPV3oYiFzkVi6V1YfyQx4vHaNtqWxE5rQq6yyj5SNp32T1etHnAn5ErCAkp6oyyqZ8PCZ2TsyFrQoCspu8R65fG",
    "next_url": "https://nicole-preprod.k8s.kaiko.ovh/v3/data/derivatives/reference?continuation_token=2jtw7jtDEqGviMXUbzCyPMYCregKKZdhgxaB9DNJkoUPV3oYiFzkVi6V1YfyQx4vHaNtqWxE5rQq6yyj5SNp32T1etHnAn5ErCAkp6oyyqZ8PCZ2TsyFrQoCspu8R65fG",
    "links": {
        "next": "/v3/data/derivatives/reference?base_assets=btc&exchange=drbt&instrument_class=perpetual-future&offset=1&page_size=1&sort=desc"
    },
    "access": {
        "access_range": {
            "start_timestamp": 1688428800000,
            "end_timestamp": 2177539199000
        },
        "data_range": {
            "start_timestamp": null,
            "end_timestamp": null
        }
    }
}

```

{% endtab %}

{% tab title="Future" %}

```json
{
    "result": "success",
    "time": "2026-05-22T14:25:05Z",
    "timestamp": 1779459905388,
    "query": {
        "base_assets": "btc",
        "contract_type": "",
        "end_time": "0001-01-01T00:00:00Z",
        "exchange": "drbt",
        "instrument_class": "future",
        "max_strike": "0",
        "min_strike": "0",
        "offset": "0",
        "option_type": "",
        "page_size": "1",
        "request_time": "2026-05-22T14:25:05.042089802Z",
        "start_time": "0001-01-01T00:00:00Z"
    },
    "data": [
        {
            "exchange": "drbt",
            "instrument_class": "future",
            "instrument": "btc3may26",
            "metadata": null,
            "contract_details": {
                "base": "btc",
                "quote": "usd",
                "settle_method": "cash",
                "settle_timestamp": "2026-05-03T08:00:00Z",
                "settle_currency": "btc",
                "contract_type": "inverse",
                "contract_periodicity": "daily",
                "contract_size": "10",
                "contract_size_unit": "usd",
                "contract_multiplier": "1",
                "listing_timestamp": "2026-04-29T08:00:12Z",
                "expiry": "2026-05-03T08:00:00Z",
                "underlying_type": "index",
                "underlying_index": "btc_usd"
            },
            "status_details": {
                "status": "expired",
                "last_updated": "2026-05-03T08:02:03Z",
                "created_at": "2026-04-29T09:00:37Z"
            }
        }
    ],
    "continuation_token": "81stiE1UXsBDQ7Rxs7pEGawJddeWa2hjK97BoKxHwGAHVPMq16hbtBwkpFg6XemnGNsbqDPWErKWYPikQS1PMXLQRrawD3SC9xnJEGKCmrvqzmBWGnn",
    "next_url": "https://nicole-preprod.k8s.kaiko.ovh/v3/data/derivatives/reference?continuation_token=81stiE1UXsBDQ7Rxs7pEGawJddeWa2hjK97BoKxHwGAHVPMq16hbtBwkpFg6XemnGNsbqDPWErKWYPikQS1PMXLQRrawD3SC9xnJEGKCmrvqzmBWGnn",
    "links": {
        "next": "/v3/data/derivatives/reference?base_assets=btc&exchange=drbt&instrument_class=future&offset=1&page_size=1&sort=desc"
    },
    "access": {
        "access_range": {
            "start_timestamp": 1688428800000,
            "end_timestamp": 2177539199000
        },
        "data_range": {
            "start_timestamp": null,
            "end_timestamp": null
        }
    }
}

```

{% endtab %}

{% tab title="Option" %}

```json
{
    "result": "success",
    "time": "2026-05-22T14:26:16Z",
    "timestamp": 1779459976597,
    "query": {
        "base_assets": "btc",
        "contract_type": "",
        "end_time": "0001-01-01T00:00:00Z",
        "exchange": "drbt",
        "instrument_class": "option",
        "max_strike": "0",
        "min_strike": "0",
        "offset": "0",
        "option_type": "",
        "page_size": "1",
        "request_time": "2026-05-22T14:26:16.141321369Z",
        "start_time": "0001-01-01T00:00:00Z"
    },
    "data": [
        {
            "exchange": "drbt",
            "instrument_class": "option",
            "instrument": "btcusdc21jan2686000c",
            "metadata": null,
            "contract_details": {
                "base": "btc",
                "quote": "usdc",
                "settle_method": "cash",
                "settle_timestamp": "2026-01-21T08:00:00Z",
                "settle_currency": "usdc",
                "contract_type": "linear",
                "contract_periodicity": "daily",
                "contract_size": "1",
                "contract_size_unit": "btc",
                "contract_multiplier": "1",
                "listing_timestamp": "2026-01-20T15:09:00Z",
                "expiry": "2026-01-21T08:00:00Z",
                "underlying_type": "index",
                "underlying_index": "btc_usdc",
                "strike_price": "86000",
                "kind": "call",
                "option_type": "european"
            },
            "status_details": {
                "status": "expired",
                "last_updated": "2026-03-19T14:02:01Z",
                "created_at": "2026-03-19T14:02:01Z"
            }
        }
    ],
    "continuation_token": "81stiE1UXsBDQ7Rxs7pEGawJddeWa2hjK97BoKxHwGAHVPMq16hbtBwkpFg6XemnGgL6hNMUcpL8BGgvppEn6Xe6AygJabvj94KQ5Lsr39eX8wUX1Vk",
    "next_url": "https://nicole-preprod.k8s.kaiko.ovh/v3/data/derivatives/reference?continuation_token=81stiE1UXsBDQ7Rxs7pEGawJddeWa2hjK97BoKxHwGAHVPMq16hbtBwkpFg6XemnGgL6hNMUcpL8BGgvppEn6Xe6AygJabvj94KQ5Lsr39eX8wUX1Vk",
    "links": {
        "next": "/v3/data/derivatives/reference?base_assets=btc&exchange=drbt&instrument_class=option&offset=1&page_size=1&sort=desc"
    },
    "access": {
        "access_range": {
            "start_timestamp": 1688428800000,
            "end_timestamp": 2177539199000
        },
        "data_range": {
            "start_timestamp": null,
            "end_timestamp": null
        }
    }
}

```

{% endtab %}

{% tab title="Future\_combo or Option\_combo" %}

```json
{
    "result": "success",
    "time": "2026-05-22T14:33:33Z",
    "timestamp": 1779460413054,
    "query": {
        "base_assets": "btc",
        "contract_type": "",
        "end_time": "0001-01-01T00:00:00Z",
        "exchange": "drbt",
        "instrument_class": "future_combo",
        "max_strike": "0",
        "min_strike": "0",
        "offset": "0",
        "option_type": "",
        "page_size": "2",
        "request_time": "2026-05-22T14:33:32.674149702Z",
        "start_time": "0001-01-01T00:00:00Z"
    },
    "data": [
        {
            "exchange": "drbt",
            "instrument_class": "future_combo",
            "instrument": "btcfs13apr2610apr26",
            "metadata": null,
            "contract_details": {
                "base": "btc",
                "quote": "usd",
                "settle_method": "cash",
                "settle_timestamp": "2026-04-10T08:00:00Z",
                "settle_currency": "btc",
                "contract_type": "inverse",
                "contract_periodicity": "weekly",
                "contract_size": "10",
                "contract_size_unit": "usd",
                "contract_multiplier": "1",
                "listing_timestamp": "2026-04-09T08:00:12Z",
                "expiry": "2026-04-10T08:00:00Z",
                "underlying_type": "index",
                "underlying_index": "btc_usd",
                "combo_details": {
                    "combo_type": "spread",
                    "combo_structure": [
                        {
                            "leg_symbol": "BTC-13APR26",
                            "leg_side": "buy",
                            "leg_multiplier": "1"
                        },
                        {
                            "leg_symbol": "BTC-10APR26",
                            "leg_side": "sell",
                            "leg_multiplier": "1"
                        }
                    ]
                }
            },
            "status_details": {
                "status": "expired",
                "last_updated": "2026-04-10T08:01:42Z",
                "created_at": "2026-04-09T09:00:22Z"
            }
        }
    ],
    "continuation_token": "GRHx3R5pjLAU2SNRDiECw4PpBQh3RCLxb8uHK5kiWiXF9xVCssFzhqmWwEFGtv9XPNMJ8TKWvW6dtdWNjB2XXCevZKbauXn2ic1387zTNhaP2Y3KxKssjerr6ne",
    "next_url": "https://nicole-preprod.k8s.kaiko.ovh/v3/data/derivatives/reference?continuation_token=GRHx3R5pjLAU2SNRDiECw4PpBQh3RCLxb8uHK5kiWiXF9xVCssFzhqmWwEFGtv9XPNMJ8TKWvW6dtdWNjB2XXCevZKbauXn2ic1387zTNhaP2Y3KxKssjerr6ne",
    "links": {
        "next": "/v3/data/derivatives/reference?base_assets=btc&exchange=drbt&instrument_class=future_combo&offset=1&page_size=2&sort=desc"
    },
    "access": {
        "access_range": {
            "start_timestamp": 1688428800000,
            "end_timestamp": 2177539199000
        },
        "data_range": {
            "start_timestamp": null,
            "end_timestamp": null
        }
    }
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/rest-api/misc-custom-and-legacy-endpoints/derivatives-contract-details-v3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
